<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('vehicle_categories', function (Blueprint $table) {
            $table->unsignedInteger('sort_order')->default(0)->after('key');
        });
    }

    public function down()
    {
        Schema::table('vehicle_categories', function (Blueprint $table) {
            $table->dropColumn('sort_order');
        });
    }
};
